server:
  port: 8000
# 加解密根密码
jasypt:
  encryptor:
    password: pig #根密码
## spring security 配置
security:
  oauth2:
    client:
      client-id: ENC(27v1agvAug87ANOVnbKdsw==)
      client-secret: ENC(VbnkopxrwgbFVKp+UxJ2pg==)
      scope: server
    resource:
      loadBalanced: true
      token-info-uri: http://yifu-auth/oauth/check_token
    ignore: # 通用放行URL，服务个性化，请在对应配置文件覆盖
      urls:
        - /v3/api-docs
        - /actuator/**
        - /swagger-ui/**
# swagger3
springdoc:
  api-docs:
    #是否开启文档功能
    enabled: true
    #swagger后端请求地址
    path: /api-docs
  swagger-ui:
    #自定义swagger前端请求路径，输入http：127.0.0.1:8080/test会自动重定向到swagger页面
    path: /api
  #包扫描路径
  packages-to-scan: com.yifu.cloud.plus.v1.yifu.codegen.controller
  #这里定义了两个分组，可定义多个，也可以不定义
  group-configs:
    #分组名
    #- group: admin
    #按路径匹配
    #  pathsToMatch: /admin/**
    #分组名
    - group: codegen
      #按包路径匹配
      packagesToScan: com.yifu.cloud.plus.v1.yifu.codegen.controller